<template>
  <el-dialog
    :title=lang.associatedFiles
    :visible.sync="dialogVisible"
    width="calc(100% - 20px)"
    class="el-dialogClass"
    :before-close="handleClose">
    <span></span>
    <span slot="footer">
        <el-button @click="dialogVisible = false">{{lang.close}}</el-button>
    </span>
  </el-dialog>
  
</template>

<script>
export default {
    data() {
        return {
            dialogVisible: false
        }
    },
    methods: {
        handleClose(done) {
            done();
        },
        openG(){
            this.dialogVisible = true;
        }
    },
}
</script>

<style scoped>
    .el-dialogClass >>> .el-dialog{
        margin: 10px auto 0 !important;
        height: calc(100% - 20px);
    }

    .el-dialogClass >>> .el-dialog__body{
        height: calc(100% - 70px - 55px);
        overflow-y: auto;
        overflow-x: hidden;
        box-sizing: border-box;
        padding: 20px;
    }
</style>